#ifndef ENTITYRENDERER_H
#define ENTITYRENDERER_H

#include "../../../engine/Shader.h"
#include "../../../math/Camera3D.h"
#include "../../../engine/DirectRenderer.h"
#include "../../../engine/Mesh.h"
#include "../../../engine/Texture.h"

class EntityRenderer
{
public:
    EntityRenderer();
    virtual ~EntityRenderer();
    
    void tick();
    void renderTick(Shader& shader, Camera3D camera, DirectRenderer& dr, float lag);
    
private:
    Texture texture;
    NormalTextureMesh mesh;
    unsigned int lifetime = 0;
};

#endif

