#ifndef BLOCK_H
#define BLOCK_H

#include "../utils/Face.h"

typedef unsigned short BlockId;

class Block
{
public:
    Block();
    virtual ~Block();
    
    BlockId getId() const;
    
    virtual bool isEmpty() const;
    virtual bool isBlockingFace(Face& f) const;
private:
    static BlockId idCounter;
    BlockId id;
};

#endif

