#version 430

layout (binding = 1) uniform sampler2D worldPositionSamp;
layout (binding = 2) uniform sampler2D worldNormalSamp;
layout (binding = 3) uniform sampler2D worldColorSamp;
layout (binding = 4) uniform sampler2D worldDepthSamp;
layout (binding = 5) uniform sampler2D noiseSamp;
layout (binding = 6) uniform sampler2D ssaoSamp;
layout (binding = 7) uniform sampler2D ssaoBlurSamp;

in vec2 varTextureCoord;
out vec4 color;

void main()
{
    float ssaoBlur = texture(ssaoBlurSamp, varTextureCoord).r;
    color = vec4(texture(worldColorSamp, varTextureCoord).xyz * ssaoBlur, 1);
}  